SystemOrganization addCategory: #'SystemEditor-Tests'!
SystemOrganization addCategory: #'SystemEditor-Editors'!

TestCase subclass: #ClassEditorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SystemEditor-Tests'!

!ClassEditorTest methodsFor: 'tests' stamp: 'cwp 10/23/2005 01:55'!
testCreation
	| editor |
	editor _ ClassEditor on: EditorSubject.
	self assert: editor subject == EditorSubject.
	self assert: editor class subject == EditorSubject class.! !

Object subclass: #ClassEditor
	instanceVariableNames: 'subject'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SystemEditor-Editors'!

!ClassEditor class methodsFor: 'instance creation' stamp: 'cwp 10/23/2005 02:43'!
new
	^ editor _ self basicNew! !

!ClassEditor class methodsFor: 'instance creation' stamp: 'cwp 10/23/2005 02:39'!
on: aClass
	| meta class instance |
	meta _ Metaclass new.
	meta
		superclass: ClassEditor class
		methodDictionary: MethodDictionary new
		format: ClassEditor class format.
	class _ meta new.
	class
		superclass: ClassEditor
		methodDictionary: MethodDictionary new
		format: ClassEditor format.
	instance _ class new.
	instance setSubject: aClass.
	^ instance! !

!ClassEditor class methodsFor: 'accessing' stamp: 'cwp 10/23/2005 02:42'!
subject
	^ editor subject class! !

!ClassEditor methodsFor: 'initialize-release' stamp: 'cwp 10/23/2005 01:53'!
setSubject: aClass
	subject _ aClass! !

!ClassEditor methodsFor: 'accessing' stamp: 'cwp 10/23/2005 01:54'!
subject
	^ subject! !

Object subclass: #EditorSubject
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SystemEditor-Tests'!
